import { OhosUrlListPlayer } from './OhosUrlListPlayer';
import premierlibrary from 'libpremierlibrary.so';
export class OhosSaasListPlayer extends OhosUrlListPlayer {
    constructor(s30, t30, u30, v30) {
        super(s30, t30, u30, v30);
    }
    addVid(q30, r30) {
        premierlibrary.nListAddVid(this, q30, r30);
    }
    setDefinition(p30) {
        premierlibrary.nListSetDefinition(this, p30);
    }
    moveToNextWithSts(n30, o30) {
        return premierlibrary.nListMoveToNextWithSts(this, n30, o30);
    }
    moveToPrevWithSts(m30) {
        return premierlibrary.nListMoveToPrevWithSts(this, m30);
    }
    moveToWithSts(k30, l30) {
        return premierlibrary.nListMoveToWithSts(this, l30, k30);
    }
    moveToNextWithAuthInfo(i30, j30) {
        return premierlibrary.nListMoveToNextWithPlayAuth(this, i30, j30);
    }
    moveToPrevWithAuthInfo(h30) {
        return premierlibrary.nListMoveToPrevWithPlayAuth(this, h30);
    }
    moveToWithAuthInfo(f30, g30) {
        return premierlibrary.nListMoveToWithPlayAuth(this, g30, f30);
    }
}
